Bug 1021301 - connector lines drag and drop interaction
connector lines drag and drop interaction
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: ---
Assigned To: Rob Cernich
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 23:11 EDT by Catherine Robson
Modified: 2014-06-16 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1797 Major Closed connector lines drag and drop interaction 2014-06-16 19:48:46 EDT

  None (edit)
Description Catherine Robson 2013-10-20 23:11:37 EDT
Description of problem:
The current interaction of selecting the connector arrow in the pop-up menu and then dragging that arrow to the item you want to connect to might not always be the most intuitive method for users.

Suggested solution:
In addition to current behavior, we should also allow users to just click and hold on the service/reference and then start dragging to where they want to drop.
Comment 2 JBoss JIRA Server 2013-10-30 20:36:01 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1797

New anchors on composite services/references.  Notice the shaded circles in the 200% images.  These are the anchors that can be clicked to invoke drag-and-drop connection creation.  Note, the user must click within this area.  If the user doesn't, the behavior will be as it was previously when there was no ability to create connections through dnd.

Also note that the connections are terminated at these anchors, which fixes the problem of the additional white space in between the figures and the connections.
Comment 3 JBoss JIRA Server 2013-11-01 09:38:53 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1797

pushed
Comment 4 Andrej Podhradsky 2013-12-18 12:10:20 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 5 JBoss JIRA Server 2014-06-16 19:48:47 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1797 to Closed

Note You need to log in before you can comment on or make changes to this bug.